<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLinkersTable extends Migration
{

    /**
     * Run the migrations.
     * @return void
     */
    public function up()
    {
        Schema::create('linkers', function (Blueprint $table) {
            $table->id();
            $table->string('title')->comment('链接标题');
            $table->string('type', 50)->comment('链接类型');
            $table->string('url')->comment('链接地址');
            $table->json('params')->nullable()->comment('默认参数');
            $table->boolean('status')->default(0)->comment('状态');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('linkers');
    }

}
